package de.thdeg.grademanager.gui;

import de.thdeg.grademanager.model.Student;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.geometry.Side;
import javafx.scene.chart.PieChart;
import javafx.scene.control.Label;
import javafx.scene.text.Text;

import java.io.IOException;

public class StudentStatsController {


    private static Student student;

    public static void setStudent(Student student) {
        StudentStatsController.student = student;
    }


    @FXML
    protected Text headLine;

    @FXML
    protected Label name;

    @FXML
    protected Label studentId;

    @FXML
    protected Label courseOfStudy;

    @FXML
    protected Label semester;


    @FXML
    protected PieChart statsDiagram;

    @FXML
    protected void initialize() {

        ObservableList<PieChart.Data> data = FXCollections.observableArrayList(
                new PieChart.Data("Bestanden",50.0),
                new PieChart.Data("Offen", 40.0),
                new PieChart.Data("Durchgefallen",10.0)
        );
        statsDiagram.setData(data);
        statsDiagram.setLegendSide(Side.RIGHT);
        statsDiagram.setLegendVisible(true);
        statsDiagram.setLabelsVisible(true);

        if (student != null){
           headLine.setText("Notenblatt "+student.getFirstName()+" "+student.getLastName());
        }

 


    }




    @FXML
    protected void switchToMain(ActionEvent event) throws IOException {
        SwitchWindowHelper.switchTo("Main", event);
    }


}
